local KeepTheHerbs, namespace = ...

-- ====================================================================================================
-- =                          All herbs in the game and all made by Alchemy.                          =
-- =                                  First we start with all herbs.                                  =
-- =                           After all herbs, all item made with Alchemy.                           =
-- ====================================================================================================

-- ====================================================================================================
-- =                                          Herbs used for                                          =
-- ====================================================================================================

HERB_LIST = {

    [765] = {                                           -- Silverleaf
        0, 0, 0, 0,         -- Skill to herb
        2454,                       -- Elixir of Lion's Strength
        5997,                       -- Elixir of Minor Defense
        118,                        -- Minor Healing Potion
        2455,                       -- Minor Mana Potion
        2457,                       -- Elixir of Minor Agility
    },
    [785] = {                                           -- Mageroyal
        0, 0, 0, 0,         -- Skill to herb
        2455,                       -- Minor Mana Potion
        2456,                       -- Minor Rejuvenation Potion
        3383,                       -- Elixir of Wisdom
        3384,                       -- Minor Magic Resistance Potion
        3385,                       -- Lesser Mana Potion
    },
    [2447] = {                                          -- Peacebloom
        0, 0, 0, 0,         -- Skill to herb
        118,                        -- Minor Healing Potion
        3382,                       -- Weak Troll's Blood Potion
        2456,                       -- Minor Rejuvenation Potion
        2458,                       -- Elixir of Minor Fortitude
        4596,                       -- Discolored Healing Potion
    },
    [2449] = {                                          -- Earthroot
        0, 0, 0, 0,         -- Skill to herb
        2454,                       -- Elixir of Lion's Strength
        3382,                       -- Weak Troll's Blood Potion
        2458,                       -- Elixir of Minor Fortitude
        6662,                       -- Elixir of Giant Growth
        3391,                       -- Elixir of Ogre's Strength
    },
    [2450] = {                                          -- Briarthorn
        0, 0, 0, 0,         -- Skill to herb
        858,                        -- Lesser Healing Potion
        2459,                       -- Swiftness Potion
        3383,                       -- Elixir of Wisdom
        929,                        -- Healing Potion
        3388,                       -- Strong Troll's Blood Potion
    },
    [2452] = {                                          -- Swiftthistle
        0, 0, 0, 0,         -- Skill to herb
        2457,                       -- Elixir of Minor Agility
        2459,                       -- Swiftness Potion
        6051,                       -- Holy Protection Potion
        6372,                       -- Swim Speed Potion
        3390,                       -- Elixir of Lesser Agility
    },
    [2453] = {                                          -- Bruiseweed
        0, 0, 0, 0,         -- Skill to herb
        6051,                       -- Holy Protection Potion
        929,                        -- Healing Potion
        3386,                       -- Potion of Curing
        3388,                       -- Strong Troll's Blood Potion
        3826,                       -- Mighty Troll's Blood Potion
    },
    [3355] = {                                          -- Wild Steelbloom
        0, 0, 0, 0,         -- Skill to herb
        3384,                       -- Minor Magic Resistance Potion
        3389,                       -- Elixir of Defense
        3390,                       -- Elixir of Lesser Agility
        3823,                       -- Lesser Invisibility Potion
        3825,                       -- Elixir of Fortitude
        8951,                       -- Elixir of Greater Defense
    },
    [3356] = {                                          -- Kingsblood
        0, 0, 0, 0,         -- Skill to herb
        5633,                       -- Great Rage Potion
        6048,                      -- Shadow Protection Potion
        6373,                      -- Elixir of Firepower
        3391,                      -- Elixir of Ogre's Strength
        1710,                      -- Greater Healing Potion
        3827,                      -- Mana Potion
        5633,                      -- Great Rage Potion
    },
    [3357] = {                                          -- Liferoot
        0, 0, 0, 0,         -- Skill to herb
        8827,                       -- Elixir of Waterwalking
        1710,                       -- Greater Healing Potion
        3826,                       -- Mighty Troll's Blood Potion
        6052,                       -- Nature Protection Potion
    },
    [3358] = {                                          -- Khadgar's Whisker
        0, 0, 0, 0,         -- Skill to herb
        17708,                      -- Elixir of Frost Power
        3828,                       -- Elixir of Detect Lesser Invisibility
        3829,                       -- Frost Oil
        6149,                       -- Greater Mana Potion
        9036,                       -- Magic Resistance Potion
        3928,                       -- Superior Healing Potion
        9179,                       -- Elixir of Greater Intellect
    },
    [3369] = {                                          -- Grave Moss
        0, 0, 0, 0,         -- Skill to herb
        6048,                       -- Shadow Protection Potion
        3824,                       -- Shadow Oil
    },
    [3818] = {                                          -- Fadeleaf
        0, 0, 0, 0,         -- Skill to herb
        3823,                       -- Lesser Invisibility Potion
        3824,                       -- Shadow Oil
        3828,                       -- Elixir of Detect Lesser Invisibility
        10592,                      -- Catseye Elixir
    },
    [3819] = {                                          -- Wintersbite
        0, 0, 0, 0,         -- Skill to herb
        6050,                       -- Frost Protection Potion
        17708,                      -- Elixir of Frost Power
        3829,                       -- Frost Oil
    },
    [3820] = {                                          -- Stranglekelp
        0, 0, 0, 0,         -- Skill to herb
        5996,                       -- Elixir of Water Breathing
        3385,                       -- Lesser Mana Potion
        3389,                       -- Elixir of Defense
        5634,                       -- Free Action Potion
        3827,                       -- Mana Potion
        8949,                       -- Elixir of Agility
        6052,                       -- Nature Protection Potion
    },
    [3821] = {                                          -- Goldthorn
        0, 0, 0, 0,         -- Skill to herb
        3825,                       -- Elixir of Fortitude
        8949,                       -- Elixir of Agility
        6050,                       -- Frost Protection Potion
        8951,                       -- Elixir of Greater Defense
        10592,                      -- Catseye Elixir
        6149,                       -- Greater Mana Potion
        8956,                       -- Oil of Immolation
        9030,                       -- Restorative Potion
        4623,                       -- Lesser Stoneshield Potion
        9155,                       -- Arcane Elixir
        9187,                       -- Elixir of Greater Agility
    },
    [4625] = {                                          -- Firebloom
        0, 0, 0, 0,         -- Skill to herb
        8956,                       -- Oil of Immolation
        9061,                       -- Goblin Rocket Fuel
        9149,                       -- Philosopher's Stone
        21546,                      -- Elixir of Greater Firepower
    },
    [8153] = {                                          -- Wildvine
        0, 0, 0, 0,         -- Skill to herb
        9144,                       -- Wildvine Potion
    },
    [8831] = {                                          -- Purple Lotus
        0, 0, 0, 0,         -- Skill to herb
        9036,                       -- Magic Resistance Potion
        18294,                      -- Elixir of Greater Water Breathing
        9149,                       -- Philosopher's Stone
        9144,                       -- Wildvine Potion
        12190,                      -- Dreamless Sleep Potion
        9197,                       -- Elixir of Dream Vision
    },
    [8836] = {                                          -- Arthas' Tears
        0, 0, 0, 0,         -- Skill to herb
        9154,                       -- Elixir of Detect Undead
        9088,                       -- Gift of Arthas
    },
    [8838] = {                                          -- Sungrass
        0, 0, 0, 0,         -- Skill to herb
        3928,                       -- Superior Healing Potion
        9172,                       -- Invisibility Potion
        9187,                       -- Elixir of Greater Agility
        9206,                       -- Elixir of Giants
        13443,                      -- Superior Mana Potion
        13445,                      -- Elixir of Superior Defense
    },
    [8839] = {                                          -- Blindweed
        0, 0, 0, 0,         -- Skill to herb
        9155,                       -- Arcane Elixir
        9179,                       -- Elixir of Greater Intellect
        9088,                       -- Gift of Arthas
        3387,                       -- Limited Invulnerability Potion
        13443,                      -- Superior Mana Potion
    },
    [8845] = {                                          -- Ghost Mushroom
        0, 0, 0, 0,         -- Skill to herb
        9172,                       -- Invisibility Potion
        9210,                       -- Ghost Dye
        9224,                       -- Elixir of Demonslaying
        9264,                       -- Elixir of Shadow Power
        3387,                       -- Limited Invulnerability Potion
    },
    [8846] = {                                          -- Gromsblood
        0, 0, 0, 0,         -- Skill to herb
        9206,                       -- Elixir of Giants
        9224,                       -- Elixir of Demonslaying
        9233,                       -- Elixir of Detect Demon
        13442,                      -- Mighty Rage Potion
        13453,                      -- Elixir of Brute Force
        20004,                      -- Major Troll's Blood Potion
        13510,                      -- Flask of the Titans
    },
    [13463] = {                                         -- Dreamfoil
        0, 0, 0, 0,         -- Skill to herb
        13460,                      -- Greater Holy Protection Potion
        13447,                      -- Elixir of the Sages
        20002,                      -- Greater Dreamless Sleep Potion
        20007,                      -- Mageblood Potion
        13454,                      -- Greater Arcane Elixir
        13461,                      -- Greater Arcane Protection Potion
        13457,                      -- Greater Fire Protection Potion
        13456,                      -- Greater Frost Protection Potion
        13458,                      -- Greater Nature Protection Potion
        13459,                      -- Greater Shadow Protection Potion
        13444,                      -- Major Mana Potion
        18253,                      -- Major Rejuvenation Potion
        28103,                      -- Adept's Elixir
        13511,                      -- Flask of Distilled Wisdom
        13512,                      -- Flask of Supreme Power
    },
    [13464] = {                                         -- Golden Sansam
        0, 0, 0, 0,         -- Skill to herb
        20002,                      -- Greater Dreamless Sleep Potion
        13446,                      -- Major Healing Potion
        18253,                      -- Major Rejuvenation Potion
        28100,                      -- Volatile Healing Potion
        22825,                      -- Elixir of Healing Power
    },
    [13465] = {                                         -- Mountain Silversage
        0, 0, 0, 0,         -- Skill to herb
        13446,                      -- Major Healing Potion
        13452,                      -- Elixir of the Mongoose
        13454,                      -- Greater Arcane Elixir
        20008,                      -- Living Action Potion
        13513,                      -- Flask of Chromatic Resistance
        13506,                      -- Flask of Petrification
        13512,                      -- Flask of Supreme Power
        28102,                      -- Onslaught Elixir
        22824,                      -- Elixir of Major Strength
    },
    [13466] = {                                         -- Plaguebloom
        0, 0, 0, 0,         -- Skill to herb
        13447,                      -- Elixir of the Sages
        13453,                      -- Elixir of Brute Force
        20007,                      -- Mageblood Potion
        13452,                      -- Elixir of the Mongoose
        13462,                      -- Purification Potion
        20004,                      -- Major Troll's Blood Potion
    },
    [13467] = {                                         -- Icecap
        0, 0, 0, 0,         -- Skill to herb
        20008,                      -- Living Action Potion
        13462,                      -- Purification Potion
        13444,                      -- Major Mana Potion
        13513,                      -- Flask of Chromatic Resistance
        13511,                      -- Flask of Distilled Wisdom
    },
    [13468] = {                                         -- Black Lotus
        0, 0, 0, 0,         -- Skill to herb
        13513,                      -- Flask of Chromatic Resistance
        13511,                      -- Flask of Distilled Wisdom
        13506,                      -- Flask of Petrification
        13512,                      -- Flask of Supreme Power
        13510,                      -- Flask of the Titans
        19931,                      -- Gurubashi Mojo Madness
    },
    [22785] = {                                         -- Felweed
        0, 0, 0, 0,         -- Skill to herb
        28103,                      -- Adept's Elixir
        28102,                      -- Onslaught Elixir
        28100,                      -- Volatile Healing Potion
        22823,                      -- Elixir of Camouflage
        22824,                      -- Elixir of Major Strength
        32062,                      -- Elixir of Major Fortitude
        28101,                      -- Unstable Mana Potion
        28104,                      -- Elixir of Mastery
        22826,                      -- Sneaking Potion
        32067,                      -- Elixir of Draenic Wisdom
        22829,                      -- Super Healing Potion
        22831,                      -- Elixir of Major Agility
        22832,                      -- Super Mana Potion
        31676,                      -- Fel Regeneration Potion
    },
    [22786] = {                                         -- Dreaming Glory
        0, 0, 0, 0,         -- Skill to herb
        22825,                      -- Elixir of Healing Power
        32063,                      -- Earthen Elixir
        22832,                      -- Super Mana Potion
        22836,                      -- Major Dreamless Sleep Potion
        33208,                      -- Flask of Chromatic Wonder
        22853,                      -- Flask of Mighty Restoration
        22850,                      -- Super Rejuvenation Potion
    },
    [22787] = {                                         -- Ragveil
        0, 0, 0, 0,         -- Skill to herb
        22823,                      -- Elixir of Camouflage
        32062,                      -- Elixir of Major Fortitude
        28101,                      -- Unstable Mana Potion
        22826,                      -- Sneaking Potion
        32063,                      -- Earthen Elixir
        34440,                      -- Mad Alchemist's Potion
        22830,                      -- Elixir of the Searching Eye
        32068,                      -- Elixir of Ironskin
        22871,                      -- Shrouding Potion
    },
    [22789] = {                                         -- Terocone
        0, 0, 0, 0,         -- Skill to herb
        28104,                      -- Elixir of Mastery
        32067,                      -- Elixir of Draenic Wisdom
        22828,                      -- Insane Strength Potion
        22830,                      -- Elixir of the Searching Eye
        22831,                      -- Elixir of Major Agility
        31679,                      -- Fel Strength Elixir
        22834,                      -- Elixir of Major Defense
        22838,                      -- Haste Potion
        22837,                      -- Heroic Potion
        22854,                      -- Flask of Relentless Assault
    },
    [22790] = {                                         -- Ancient Lichen
        0, 0, 0, 0,         -- Skill to herb
        22827,                      -- Elixir of Major Frost Power
        32068,                      -- Elixir of Ironskin
        22834,                      -- Elixir of Major Defense
        22833,                      -- Elixir of Major Firepower
        22835,                      -- Elixir of Major Shadow Power
        22837,                      -- Heroic Potion
        22840,                      -- Elixir of Major Mageblood
        22849,                      -- Ironshield Potion
        22851,                      -- Flask of Fortification
    },
    [22791] = {                                         -- Netherbloom
        0, 0, 0, 0,         -- Skill to herb
        22521,                      -- Superior Mana Oil
        22829,                      -- Super Healing Potion
        22871,                      -- Shrouding Potion
        22839,                      -- Destruction Potion
        22838,                      -- Haste Potion
        22840,                      -- Elixir of Major Mageblood
        22848,                      -- Elixir of Empowerment
        33208,                      -- Flask of Chromatic Wonder
        22861,                      -- Flask of Blinding Light
        22850,                      -- Super Rejuvenation Potion
    },
    [22792] = {                                         -- Nightmare Vine
        0, 0, 0, 0,         -- Skill to herb
        31679,                      -- Fel Strength Elixir
        22522,                      -- Superior Wizard Oil
        31676,                      -- Fel Regeneration Potion
        22839,                      -- Destruction Potion
        22835,                      -- Elixir of Major Shadow Power
        22836,                      -- Major Dreamless Sleep Potion
        31677,                      -- Fel Mana Potion
        22866,                      -- Flask of Pure Death
    },
    [22793] = {                                         -- Mana Thistle
        0, 0, 0, 0,         -- Skill to herb
        32839,                      -- Cauldron of Major Arcane Protection
        32849,                      -- Cauldron of Major Fire Protection
        32850,                      -- Cauldron of Major Frost Protection
        32851,                      -- Cauldron of Major Nature Protection
        32852,                      -- Cauldron of Major Shadow Protection
        31677,                      -- Fel Mana Potion
        22845,                      -- Major Arcane Protection Potion
        22841,                      -- Major Fire Protection Potion
        22842,                      -- Major Frost Protection Potion
        22847,                      -- Major Holy Protection Potion
        22844,                      -- Major Nature Protection Potion
        22846,                      -- Major Shadow Protection Potion
        22848,                      -- Elixir of Empowerment
        22861,                      -- Flask of Blinding Light
        22851,                      -- Flask of Fortification
        22853,                      -- Flask of Mighty Restoration
        22866,                      -- Flask of Pure Death
        22854,                      -- Flask of Relentless Assault
        22850,                      -- Super Rejuvenation Potion
    },
    [22794] = {                                         -- Fel Lotus
        0, 0, 0, 0,         -- Skill to herb
        13503,                      -- Alchemist's Stone
        33208,                      -- Flask of Chromatic Wonder
        22861,                      -- Flask of Blinding Light
        22851,                      -- Flask of Fortification
        22853,                      -- Flask of Mighty Restoration
        22866,                      -- Flask of Pure Death
        22854,                      -- Flask of Relentless Assault
    },
}

-- ====================================================================================================
-- =                                    All item made with Alchemy                                    =
-- ====================================================================================================

ALCHEMY_LIST = {
-- 118 to 5996 + 6048, 6049, 6050, 6052, 6371, 6372, 6373, 6662, 8949, 8951, 10592, 17708
-- Check all here: https://tbc.wowhead.com/alchemy#recipes;0+17+1
    [118] = {                                           -- Minor Healing Potion
        1, 25, 50, 100,     -- Skill to make
        1, 2447,                    -- Peacebloom
        1, 765,                     -- Silverleaf
        1, 3371,                    -- Empty Vial
    },
    [858] = {                                           -- Lesser Healing Potion
        55, 85, 105, 125,   -- Skill to make
        1, 118,                     -- Minor Healing Potion
        1, 2450,                    -- Briarthorn
    },
    [929] = {                                           -- Healing Potion
        110, 135, 155, 175, -- Skill to make
        1, 2453,                    -- Bruiseweed
        1, 2450,                    -- Briarthorn
        1, 3372,                    -- Leaded Vial
    },
    [1710] = {                                          -- Greater Healing Potion
        155, 175, 195, 215, -- Skill to make
        1, 3357,                    -- Liferoot
        1, 3356,                    -- Kingsblood
        1, 3372,                    -- Leaded Vial
    },
    [2454] = {                                          -- Elixir of Lion's Strength
        1, 55, 75, 95,      -- Skill to make
        1, 2449,                    -- 1 x Earthroot
        1, 765,                     -- 1 x Silverleaf
        1, 3371,                    -- 1 x Empty Vial
    },
    [2455] = {                                          -- Minor Mana Potion
        25, 65, 85, 105,    -- Skill to make
        1, 785,                     -- Mageroyal
        1, 765,                     -- Silverleaf
        1, 3371,                    -- Empty Vial
    },
    [2456] = {                                          -- Minor Rejuvenation Potion
        40, 70, 90, 110,    -- Skill to make
        2, 785,                     -- 2 x Mageroyal
        1, 2747,                    -- 1 x Peacebloom
        1, 3371,                    -- 1 x Empty Vial
    },
    [2457] = {                                          -- Elixir of Minor Agility
        50, 80, 100, 120,   -- Skill to make
        1, 2452,                    -- 1 x Swiftthistle
        1, 765,                     -- 1 x Silverleaf
        1, 3371,                    -- 1 x Empty Vial
    },
    [2458] = {                                          -- Elixir of Minor Fortitude
        50, 80, 100, 120,   -- Skill to make
        2, 2449,                    -- 2 x Earthroot
        1, 2447,                    -- 1 x Peacebloom
        1, 3371,                    -- 1 x Empty Vial
    },
    [2459] = {                                          -- Swiftness Potion
        60, 90, 110, 130,   -- Skill to make
        1, 2452,                    -- Swiftthistle
        1, 2450,                    -- Briarthorn
        1, 3371,                    -- Empty Vial
    },
    [3382] = {                                          -- Weak Troll's Blood Potion
        15, 60, 80, 100,    -- Skill to make
        2, 2449,                    -- Earthroot
        1, 2447,                    -- Peacebloom
        1, 3371,                    -- Empty Vial
    },
    [3383] = {                                          -- Elixir of Wisdom
        90, 120, 140, 160,  -- Skill to make
        2, 2450,                    -- Briarthorn
        1, 785,                     -- Mageroyal
        1, 3371,                    -- Empty Vial
    },
    [3384] = {                                          -- Minor Magic Resistance Potion
        110, 135, 155, 175, -- Skill to make
        3, 785,                     -- Mageroyal
        1, 3355,                    -- Wild Steelbloom
        1, 3371,                    -- Empty Vial
    },
    [3385] = {                                          -- Lesser Mana Potion
        120, 145, 165, 185, -- Skill to make
        1, 785,                     -- Mageroyal
        1, 3820,                    -- Stranglekelp
        1, 3371,                    -- Empty Vial
    },
    [3386] = {                                          -- Potion of Curing
        120, 145, 165, 185, -- Skill to make
        1, 1288,                    -- Large Venom Sac
        1, 2453,                    -- Bruiseweed
        1, 3372,                    -- Leaded Vial
    },
    [3388] = {                                          -- Strong Troll's Blood Potion
        125, 150, 170, 190, -- Skill to make
        2, 2453,                    -- Bruiseweed
        2, 2450,                    -- Briarthorn
        1, 3372,                    -- Leaded Vial
    },
    [3389] = {                                          -- Elixir of Defense
        130, 155, 175, 195, -- Skill to make
        1, 3355,                    -- Wild Steelbloom
        1, 3820,                    -- Stranglekelp
        1, 3372,                    -- Leaded Vial
    },
    [3390] = {                                          -- Elixir of Lesser Agility
        140, 165, 185, 205, -- Skill to make
        1, 3355,                    -- Wild Steelbloom
        1, 2452,                    -- Swiftthistle
        1, 3372,                    -- Leaded Vial
    },
    [3391] = {                                          -- Elixir of Ogre's Strength
        150, 175, 195, 215, -- Skill to make
        1, 2449,                    -- 1 x Earthroot
        1, 3356,                    -- 1 x Kingsblood
        1, 3371,                    -- 1 x Empty Vial
    },
    [3577] = {                                          -- Gold Bar
        225, 240, 260, 280, -- Skill to make
        1, 3575,                    -- Iron Bar
    },
    [3823] = {                                          -- Lesser Invisibility Potion
        165, 185, 205, 225, -- Skill to make
        1, 3818,                    -- 1 x Fadeleaf
        1, 3355,                    -- 1 x Wild Steelbloom
        1, 3372,                    -- 1 x Leaded Vial
    },
    [3824] = {                                          -- Shadow Oil
        165, 190, 210, 230, -- Skill to make
        4, 3818,                    -- 4 x Fadeleaf
        4, 3369,                    -- 4 x Grave Moss
        1, 3372,                    -- 1 x Leaded Vial
    },
    [3825] = {                                          -- Elixir of Fortitude
        175, 195, 215, 235, -- Skill to make
        1, 3355,                    -- Wild Steelbloom
        1, 3821,                    -- Goldthorn
        1, 3372,                    -- Leaded Vial
    },
    [3826] = {                                          -- Mighty Troll's Blood Potion
        180, 200, 220, 240, -- Skill to make
        1, 3357,                    -- Liferoot
        1, 2453,                    -- Bruiseweed
        1, 3372,                    -- Leaded Vial
    },
    [3827] = {                                          -- Mana Potion
        160, 180, 200, 220, -- Skill to make
        1, 3820,                    -- 1 x Stranglekelp
        1, 3356,                    -- 1 x Kingsblood
        1, 3372,                    -- 1 x Leaded Vial
    },
    [3828] = {                                          -- Elixir of Detect Lesser Invisibility
        195, 215, 235, 255, -- Skill to make
        1, 3358,                    -- 1 x Khadgar's Whisker
        1, 3818,                    -- 1 x Fadeleaf
        1, 3372,                    -- 1 x Leaded Vial
    },
    [3928] = {                                          -- Superior Healing Potion
        215, 230, 250, 270, -- Skill to make
        1, 8838,                    -- Sungrass
        1, 3358,                    -- Khadgar's Whisker
        1, 8925,                    -- Crystal Vial
    },
    [3829] = {                                          -- Frost Oil
        200, 220, 240, 260, -- Skill to make
        4, 3358,                    -- 1 x Khadgar's Whisker
        2, 3819,                    -- 1 x Wintersbite
        1, 3372,                    -- 1 x Leaded Vial
    },
    [4596] = {                                          -- Discolored Healing Potion
        50, 80, 100, 120,   -- Skill to make
        1, 3164,                    -- 1 x Discolored Worg Heart
        1, 2447,                    -- 1 x Peacebloom
        1, 3371,                    -- 1 x Empty Vial
    },
    [4623] = {                                          -- Lesser Stoneshield Potion
        215, 230, 250, 270, -- Skill to make
        1, 3858,                    -- Mithril Ore
        1, 3821,                    -- Goldthorn
        1, 3372,                    -- Leaded Vial
    },
    [5631] = {                                          -- Rage Potion
        60, 90, 110, 130,   -- Skill to make
        2, 5635,                    -- 2 x Sharp Claw
        1, 3371,                    -- 1 x Empty Vial
    },
    [5633] = {                                          -- Great Rage Potion
        175, 195, 215, 235, -- Skill to make
        1, 5637,                    -- 1 x Large Fang
        1, 3356,                    -- 1 x Kingsblood
        1, 3372,                    -- 1 x Leaded Vial
    },
    [5634] = {                                          -- Free Action Potion
        150, 175, 195, 215, -- Skill to make
        2, 6370,                    -- Blackmouth Oil
        1, 3820,                    -- Stranglekelp
        1, 3372,                    -- Leaded Vial
    },
    [5996] = {                                          -- Elixir of Water Breathing
        90, 120, 140, 160,  -- Skill to make
        2, 6370,                    -- Blackmouth Oil
        1, 3820,                    -- Stranglekelp
        1, 3371,                    -- Empty Vial
    },
    [5997] = {                                          -- Elixir of Minor Defense
        1, 55, 75, 95,      -- Skill to make
        2, 765,                     -- 2 x Silverleaf
        1, 3371,                    -- 1 x Empty Vial
    },
    [6037] = {                                          -- Truesilver Bar
        225, 240, 260, 280, -- Skill to make
        1, 3860,                    -- Mithril Bar
    },
    [6048] = {                                          -- Shadow Protection Potion
        135, 160, 180, 200, -- Skill to make
        1, 3369,                    -- Grave Moss
        1, 3356,                    -- Kingsblood
        1, 3372,                    -- Leaded Vial
    },
    [6049] = {                                          -- Fire Protection Potion
        165, 210, 230, 250, -- Skill to make
        1, 4402,                    -- Small Flame Sac
        1, 6371,                    -- Fire Oil
        1, 3372,                    -- Leaded Vial
    },
    [6050] = {                                          -- Frost Protection Potion
        190, 205, 225, 245, -- Skill to make
        1, 3819,                    -- 1 x Wintersbite
        1, 3821,                    -- 1 x Goldthorn
        1, 3372,                    -- 1 x Leaded Vial
    },
    [6051] = {                                          -- Holy Protection Potion
        100, 130, 150, 170, -- Skill to make
        1, 2453,                    -- 1 x Bruiseweed
        1, 2452,                    -- 1 x Swiftthistle
        1, 3371,                    -- 1 x Empty Vial
    },
    [6052] = {                                          -- Nature Protection Potion
        190, 210, 230, 250, -- Skill to make
        1, 3357,                    -- Liferoot
        1, 3820,                    -- Stranglekelp
        1, 3372,                    -- Leaded Vial
    },
    [6149] = {                                          -- Greater Mana Potion
        205, 220, 240, 260, -- Skill to make
        1, 3358,                    -- Khadgar's Whisker
        1, 3821,                    -- Goldthorn
        1, 3372,                    -- Leaded Vial
    },
    [6370] = {                                          -- Blackmouth Oil
        80, 80, 90, 100,    -- Skill to make
        2, 6358,                    -- 2 x Oily Blackmouth
        1, 3371,                    -- 1 x Empty Vial
    },
    [6371] = {                                          -- Fire Oil
        130, 150, 160, 170, -- Skill to make
        2, 6359,                    -- Firefin Snapper
        1, 3371,                    -- Empty Vial
    },
    [6372] = {                                          -- Swim Speed Potion
        100, 130, 150, 170, -- Skill to make
        1, 2452,                    -- 1 x Swiftthistle
        1, 6370,                    -- 1 x Blackmouth Oil
        1, 3371,                    -- 1 x Empty Vial
    },
    [6373] = {                                          -- Elixir of Firepower
        140, 165, 185, 205, -- Skill to make
        2, 6371,                    -- 2 x Fire Oil
        1, 3356,                    -- 1 x Kingsblood
        1, 3372,                    -- 1 x Leaded Vial
    },
    [6662] = {                                          -- Elixir of Giant Growth
        90, 120, 140, 160,  -- Skill to make
        1, 6522,                    -- 1 x Deviate Fish
        1, 2449,                    -- 1 x Earthroot
        1, 3371,                    -- 1 x Empty Vial
    },
    [8827] = {                                          -- Elixir of Water Walking
        0, 0, 0, 0,         -- Skill to make
        1, 6370,                    -- 1 x Blackmouth Oil
        1, 3357,                    -- 1 x Liferoot
        1, 3372,                    -- 1 x Leaded Vial
    },
    [8949] = {                                          -- Elixir of Agility
        185, 205, 225, 245, -- Skill to make
        1, 3820,                    -- Stranglekelp
        1, 3821,                    -- Goldthorn
        1, 3372,                    -- Leaded Vial
    },
    [8951] = {                                          -- Elixir of Greater Defense
        195, 215, 235, 255, -- Skill to make
        1, 3355,                    -- Wild Steelbloom
        1, 3821,                    -- Goldthorn
        1, 3372,                    -- Leaded Vial
    },
    [8956] = {                                          -- Oil of Immolation
        205, 220, 240, 260, -- Skill to make
        1, 4625,                    -- Firebloom
        1, 3821,                    -- Goldthorn
        1, 8925,                    -- Crystal Vial
    },
    [9030] = {                                          -- Restorative Potion
        215, 225, 245, 265, -- Skill to make
        1, 7067,                    -- Elemental Earth
        1, 3821,                    -- Goldthorn
        1, 8925,                    -- Crystal Vial
    },
    [9036] = {                                          -- Magic Resistance Potion
        210, 225, 245, 265, -- Skill to make
        1, 3358,                    -- Khadgar's Whisker
        1, 8831,                    -- Purple Lotus
        1, 8925,                    -- Crystal Vial
    },
    [9061] = {                                          -- Goblin Rocket Fuel
        210, 225, 245, 265, -- Skill to make
        1, 4625,                    -- Firebloom
        1, 9260,                    -- Volatile Rum
        1, 3372,                    -- Leaded Vial
    },
    [9088] = {                                          -- Gift of Arthas
        240, 255, 275, 295, -- Skill to make
        1, 8836,                    -- Arthas' Tears
        1, 8839,                    -- Blindweed
        1, 8925,                    -- Crystal Vial
    },
    [9144] = {                                          -- Wildvine Potion
        225, 240, 260, 280, -- Skill to make
        1, 8153,                    -- Wildvine
        1, 8831,                    -- Purple Lotus
        1, 8925,                    -- Crystal Vial
    },
    [9149] = {                                          -- Philosopher's Stone
        225, 240, 260, 280, -- Skill to make
        4, 3575,                    -- Iron Bar
        4, 8831,                    -- Purple Lotus
        4, 4625,                    -- Firebloom
        1, 9262,                    -- Black Vitriol
    },
    [9154] = {                                          -- Elixir of Detect Undead
        230, 245, 265, 285, -- Skill to make
        1, 8836,                    -- Arthas' Tears
        1, 8925,                    -- Crystal Vial
    },
    [9155] = {                                          -- Arcane Elixir
        235, 250, 270, 290, -- Skill to make
        1, 8839,                    -- Blindweed
        1, 3821,                    -- Goldthorn
        1, 8925,                    -- Crystal Vial
    },
    [9172] = {                                          -- Invisibility Potion
        235, 250, 270, 290, -- Skill to make
        1, 8845,                    -- Ghost Mushroom
        1, 8838,                    -- Sungrass
        1, 8925,                    -- Crystal Vial
    },
    [9179] = {                                          -- Elixir of Greater Intellect
        235, 250, 270, 290, -- Skill to make
        1, 8839,                    -- Blindweed
        1, 3358,                    -- Khadgar's Whisker
        1, 8925,                    -- Crystal Vial
    },
    [9187] = {                                          -- Elixir of Greater Agility
        240, 255, 275, 295, -- Skill to make
        1, 8838,                    -- Sungrass
        1, 3821,                    -- Goldthorn
        1, 8925,                    -- Crystal Vial
    },
    [9197] = {                                          -- Elixir of Dream Vision
        240, 255, 275, 295, -- Skill to make
        3, 8831,                    -- Purple Lotus
        1, 8925,                    -- Crystal Vial
    },
    [9206] = {                                          -- Elixir of Giants
        245, 260, 280, 300, -- Skill to make
        1, 8838,                    -- Sungrass
        1, 8846,                    -- Gromsblood
        1, 8925,                    -- Crystal Vial
    },
    [9210] = {                                          -- Ghost Dye
        250, 265, 285, 305, -- Skill to make
        2, 8845,                    -- Ghost Mushroom
        1, 4342,                    -- Purple Dye
        1, 8925,                    -- Crystal Vial
    },
    [9224] = {                                          -- Elixir of Demonslaying
        250, 265, 285, 305, -- Skill to make
        1, 8846,                    -- Gromsblood
        1, 8845,                    -- Ghost Mushroom
        1, 8925,                    -- Crystal Vial
    },
    [9233] = {                                          -- Elixir of Detect Demon
        250, 265, 285, 305, -- Skill to make
        2, 8846,                    -- Gromsblood
        1, 8925,                    -- Crystal Vial
    },
    [9264] = {                                          -- Elixir of Shadow Power
        250, 265, 285, 305, -- Skill to make
        3, 8845,                    -- Ghost Mushroom
        1, 8925,                    -- Crystal Vial
    },
    [10592] = {                                         -- Catseye Elixir
        200, 220, 240, 260, -- Skill to make
        1, 3821,                    -- Goldthorn
        1, 3818,                    -- Fadeleaf
        1, 3372,                    -- Leaded Vial
    },
    [12190] = {                                         -- Dreamless Sleep Potion
        230, 245, 265, 285, -- Skill to make
        3, 8831,                    -- Purple Lotus
        1, 8925,                    -- Crystal Vial
    },
    [13423] = {                                         -- Stonescale Oil
        250, 250, 255, 260, -- Skill to make
        1, 13422,                   -- Stonescale Eel
        1, 3372,                    -- Leaded Vial
    },
    [13445] = {                                         -- Elixir of Superior Defense
        265, 280, 300, 320, -- Skill to make
        2, 13423,                   -- Stonescale Oil
        1, 8838,                    -- Sungrass
        1, 8925,                    -- Crystal Vial
    },
    [13447] = {                                         -- Elixir of the Sages
        270, 285, 305, 325, -- Skill to make
        2, 13466,                   -- Plaguebloom
        1, 13463,                   -- Dreamfoil
        1, 8925,                    -- Crystal Vial
    },
    [13452] = {                                         -- Elixir of the Mongoose
        280, 295, 315, 335, -- Skill to make
        2, 13465,                   -- Mountain Silversage
        2, 13466,                   -- Plaguebloom
        1, 8925,                    -- Crystal Vial
    },
    [13453] = {                                         -- Elixir of Brute Force
        275, 290, 310, 330, -- Skill to make
        2, 8846,                    -- Gromsblood
        2, 13466,                   -- Plaguebloom
        1, 8925,                    -- Crystal Vial
    },
    [13454] = {                                         -- Greater Arcane Elixir
        285, 300, 320, 340, -- Skill to make
        3, 13463,                   -- Dreamfoil
        1, 13465,                   -- Mountain Silversage
        1, 8925,                    -- Crystal Vial
    },
    [13460] = {                                         -- Greater Holy Protection Potion
        0, 0, 0, 0,         -- Skill to make
        1, 7069,                    -- Elemental Air
        1, 13463,                   -- Dreamfoil
        1, 8925,                    -- Crystal Vial
    },
    [13510] = {                                         -- Flask of the Titans
        300, 315, 322, 330, -- Skill to make
        7, 8846,                    -- Gromsblood
        3, 13423,                   -- Stonescale Oil
        1, 13468,                   -- Black Lotus
        1, 8925,                    -- Crystal Vial
    },
    [13511] = {                                         -- Flask of Distilled Wisdom
        300, 315, 322, 330, -- Skill to make
        7, 13463,                   -- Dreamfoil
        3, 13467,                   -- Icecap
        1, 13468,                   -- Black Lotus
        1, 8925,                    -- Crystal Vial
    },
    [13512] = {                                         -- Flask of Supreme Power
        300, 315, 322, 330, -- Skill to make
        7, 13463,                   -- Dreamfoil
        3, 13465,                   -- Mountain Silversage
        1, 13468,                   -- Black Lotus
        1, 8925,                    -- Crystal Vial
    },
    [13513] = {                                         -- Flask of Chromatic Resistance
        300, 315, 322, 330, -- Skill to make
        7, 13467,                   -- Icecap
        3, 13465,                   -- Mountain Silversage
        1, 13468,                   -- Black Lotus
        1, 8925,                    -- Crystal Vial
    },
    [17708] = {                                         -- Elixir of Frost Power
        190, 210, 230, 250, -- Skill to make
        2, 3819,                    -- Wintersbite
        1, 3358,                    -- Khadgar's Whisker
        1, 3372,                    -- Leaded Vial
    },
    [18294] = {                                         -- Elixir of Greater Water Breathing
        215, 230, 250, 270, -- Skill to make
        2, 8831,                    -- Purple Lotus
        1, 7972,                    -- Ichor of Undeath
        1, 8925,                    -- Crystal Vial
    },
    [20004] = {                                         -- Major Troll's Blood Potion
        290, 305, 325, 345, -- Skill to make
        2, 13466,                   -- Plaguebloom
        1, 8846,                    -- Gromsblood
        1, 8925,                    -- Crystal Vial
    },
    [20007] = {                                         -- Mageblood Potion
        275, 290, 310, 330, -- Skill to make
        2, 13466,                   -- Plaguebloom
        1, 13463,                   -- Dreamfoil
        1, 8925,                    -- Crystal Vial
    },
    [21546] = {                                         -- Elixir of Greater Firepower
        250, 265, 285, 305, -- Skill to make
        3, 6371,                    -- Fire Oil
        3, 4625,                    -- Firebloom
        1, 8925,                    -- Crystal Vial
    },
    [22823] = {                                         -- Elixir of Camouflage
        305, 320, 327, 335, -- Skill to make
        1, 22787,                   -- Ragveil
        1, 22785,                   -- Felweed
        1, 18256,                   -- Imbued Vial
    },
    [22824] = {                                         -- Elixir of Major Strength
        305, 320, 327, 335, -- Skill to make
        1, 13465,                   -- Mountain Silversage
        1, 22785,                   -- Felweed
        1, 18256,                   -- Imbued Vial
    },
    [22825] = {                                         -- Elixir of Healing Power
        310, 325, 332, 340, -- Skill to make
        1, 13464,                   -- Golden Sansam
        1, 22786,                   -- Dreaming Glory
        1, 18256,                   -- Imbued Vial
    },
    [22827] = {                                         -- Elixir of Major Frost Power
        320, 335, 342, 350, -- Skill to make
        2, 22578,                   -- Mote of Water
        1, 22790,                   -- Ancient Lichen
        1, 18256,                   -- Imbued Vial
    },
    [22830] = {                                         -- Elixir of the Searching Eye
        325, 340, 347, 355, -- Skill to make
        2, 22787,                   -- Ragveil
        1, 22789,                   -- Terocone
        1, 18256,                   -- Imbued Vial
    },
    [22831] = {                                         -- Elixir of Major Agility
        330, 345, 352, 360, -- Skill to make
        2, 22785,                   -- Felweed
        1, 22789,                   -- Terocone
        1, 18256,                   -- Imbued Vial
    },
    [22833] = {                                         -- Elixir of Major Firepower
        345, 360, 367, 375, -- Skill to make
        2, 22574,                   -- Mote of Fire
        1, 22790,                   -- Ancient Lichen
        1, 18256,                   -- Imbued Vial
    },
    [22834] = {                                         -- Elixir of Major Defense
        345, 360, 367, 375, -- Skill to make
        3, 22790,                   -- Ancient Lichen
        1, 22789,                   -- Terocone
        1, 18256,                   -- Imbued Vial
    },
    [22835] = {                                         -- Elixir of Major Shadow Power
        350, 365, 372, 380, -- Skill to make
        1, 22790,                   -- Ancient Lichen
        1, 22792,                   -- Nightmare Vine
        1, 18256,                   -- Imbued Vial
    },
    [22840] = {                                         -- Elixir of Major Mageblood
        355, 370, 377, 385, -- Skill to make
        1, 22790,                   -- Ancient Lichen
        1, 22791,                   -- Netherbloom
        1, 18256,                   -- Imbued Vial
    },
    [22848] = {                                         -- Elixir of Empowerment
        365, 380, 387, 395, -- Skill to make
        1, 22791,                   -- Netherbloom
        1, 22793,                   -- Mana Thistle
        1, 18256,                   -- Imbued Vial
    },
    [22851] = {                                         -- Flask of Fortification
        0, 390, 397, 405,   -- Skill to make
        7, 22790,                   -- Ancient Lichen
        3, 22793,                   -- Mana Thistle
        1, 22794,                   -- Fel Lotus
        1, 18256,                   -- Imbued Vial
    },
    [22853] = {                                         -- Flask of Mighty Restoration
        0, 390, 397, 405,   -- Skill to make
        7, 22786,                   -- Dreaming Glory
        3, 22793,                   -- Mana Thistle
        1, 22794,                   -- Fel Lotus
        1, 18256,                   -- Imbued Vial
    },
    [22854] = {                                         -- Flask of Relentless Assault
        0, 390, 397, 405,   -- Skill to make
        7, 22789,                   -- Terocone
        3, 22793,                   -- Mana Thistle
        1, 22794,                   -- Fel Lotus
        1, 18256,                   -- Imbued Vial
    },
    [22861] = {                                         -- Flask of Blinding Light
        0, 390, 397, 405,   -- Skill to make
        7, 22791,                   -- Netherbloom
        3, 22793,                   -- Mana Thistle
        1, 22794,                   -- Fel Lotus
        1, 18256,                   -- Imbued Vial
    },
    [22866] = {                                         -- Flask of Pure Death
        0, 390, 397, 405,   -- Skill to make
        7, 22792,                   -- Nightmare Vine
        3, 22793,                   -- Mana Thistle
        1, 22794,                   -- Fel Lotus
        1, 18256,                   -- Imbued Vial
    },
    [28102] = {                                         -- Onslaught Elixir
        300, 315, 322, 330, -- Skill to make
        1, 13465,                   -- Mountain Silversage
        1, 22785,                   -- Felweed
        1, 18256,                   -- Imbued Vial
    },
    [28103] = {                                         -- Adept's Elixir
        300, 315, 322, 330, -- Skill to make
        1, 13463,                   -- Dreamfoil
        1, 22785,                   -- Felweed
        1, 18256,                   -- Imbued Vial
    },
    [28104] = {                                         -- Elixir of Mastery
        315, 330, 337, 345, -- Skill to make
        3, 22789,                   -- Terocone
        1, 22785,                   -- Felweed
        1, 18256,                   -- Imbued Vial
    },
    [31679] = {                                         -- Fel Strength Elixir
        335, 350, 357, 365, -- Skill to make
        2, 22792,                   -- Nightmare Vine
        1, 22789,                   -- Terocone
        1, 18256,                   -- Imbued Vial
    },
    [32062] = {                                         -- Elixir of Major Fortitude
        310, 325, 332, 340, -- Skill to make
        2, 22787,                   -- Ragveil
        1, 22785,                   -- Felweed
        1, 18256,                   -- Imbued Vial
    },
    [32063] = {                                         -- Earthen Elixir
        320, 335, 342, 350, -- Skill to make
        2, 22787,                   -- Ragveil
        1, 22786,                   -- Dreaming Glory
        1, 18256,                   -- Imbued Vial
    },
    [32067] = {                                         -- Elixir of Draenic Wisdom
        320, 335, 342, 350, -- Skill to make
        1, 22785,                   -- Felweed
        1, 22789,                   -- Terocone
        1, 18256,                   -- Imbued Vial
    },
    [32068] = {                                         -- Elixir of Ironskin
        330, 345, 352, 360, -- Skill to make
        1, 22790,                   -- Ancient Lichen
        1, 22787,                   -- Ragveil
        1, 18256,                   -- Imbued Vial
    },
    [33208] = {                                         -- Flask of Chromatic Wonder
        375, 390, 397, 405, -- Skill to make
        7, 22786,                   -- Dreaming Glory
        3, 22791,                   -- Netherbloom
        1, 22794,                   -- Fel Lotus
        1, 18256,                   -- Imbued Vial
    },

--[[

    [] = {                                          -- 
        , , , ,      -- Skill to make
        , ,                -- 
        , ,                 -- 
        , ,                -- 
    },
    [] = {                                          -- 
        , , , ,      -- Skill to make
        , ,                -- 
        , ,                 -- 
        , ,                -- 
    },
    [] = {                                          -- 
        , , , ,      -- Skill to make
        , ,                -- 
        , ,                 -- 
        , ,                -- 
    },
    [] = {                                          -- 
        , , , ,      -- Skill to make
        , ,                -- 
        , ,                 -- 
        , ,                -- 
    },
    [] = {                                          -- 
        , , , ,      -- Skill to make
        , ,                -- 
        , ,                 -- 
        , ,                -- 
    },
    [] = {                                          -- 
        , , , ,      -- Skill to make
        , ,                -- 
        , ,                 -- 
        , ,                -- 
    },
    [] = {                                          -- 
        , , , ,      -- Skill to make
        , ,                -- 
        , ,                 -- 
        , ,                -- 
    },
    [] = {                                          -- 
        , , , ,      -- Skill to make
        , ,                -- 
        , ,                 -- 
        , ,                -- 
    },
    [] = {                                          -- 
        , , , ,      -- Skill to make
        , ,                -- 
        , ,                 -- 
        , ,                -- 
    },
    [] = {                                          -- 
        , , , ,      -- Skill to make
        , ,                -- 
        , ,                 -- 
        , ,                -- 
    },
    [] = {                                          -- 
        , , , ,      -- Skill to make
        , ,                -- 
        , ,                 -- 
        , ,                -- 
    },
    [] = {                                          -- 
        , , , ,      -- Skill to make
        , ,                -- 
        , ,                 -- 
        , ,                -- 
    },
    [] = {                                          -- 
        , , , ,      -- Skill to make
        , ,                -- 
        , ,                 -- 
        , ,                -- 
    },
    [] = {                                          -- 
        , , , ,      -- Skill to make
        , ,                -- 
        , ,                 -- 
        , ,                -- 
    },
    [] = {                                          -- 
        , , , ,      -- Skill to make
        , ,                -- 
        , ,                 -- 
        , ,                -- 
    },
    [] = {                                          -- 
        , , , ,      -- Skill to make
        , ,                -- 
        , ,                 -- 
        , ,                -- 
    },
    [] = {                                          -- 
        , , , ,      -- Skill to make
        , ,                -- 
        , ,                 -- 
        , ,                -- 
    },
    [] = {                                          -- 
        , , , ,      -- Skill to make
        , ,                -- 
        , ,                 -- 
        , ,                -- 
    },
    [] = {                                          -- 
        , , , ,      -- Skill to make
        , ,                -- 
        , ,                 -- 
        , ,                -- 
    },
    [] = {                                          -- 
        , , , ,      -- Skill to make
        , ,                -- 
        , ,                 -- 
        , ,                -- 
    },
    [] = {                                          -- 
        , , , ,      -- Skill to make
        , ,                -- 
        , ,                 -- 
        , ,                -- 
    },
    [] = {                                          -- 
        , , , ,      -- Skill to make
        , ,                -- 
        , ,                 -- 
        , ,                -- 
    },
    [] = {                                          -- 
        , , , ,      -- Skill to make
        , ,                -- 
        , ,                 -- 
        , ,                -- 
    },
    [] = {                                          -- 
        , , , ,      -- Skill to make
        , ,                -- 
        , ,                 -- 
        , ,                -- 
    },
    [] = {                                          -- 
        , , , ,      -- Skill to make
        , ,                -- 
        , ,                 -- 
        , ,                -- 
    },
    [] = {                                          -- 
        , , , ,      -- Skill to make
        , ,                -- 
        , ,                 -- 
        , ,                -- 
    },
    [] = {                                          -- 
        , , , ,      -- Skill to make
        , ,                -- 
        , ,                 -- 
        , ,                -- 
    },
    [] = {                                          -- 
        , , , ,      -- Skill to make
        , ,                -- 
        , ,                 -- 
        , ,                -- 
    },
    [] = {                                          -- 
        , , , ,      -- Skill to make
        , ,                -- 
        , ,                 -- 
        , ,                -- 
    },
]]--
}

-- ====================================================================================================
-- =                                  Normale stuff used in alchemy.                                  =
-- ====================================================================================================

OTHER_LIST = {

    [1288] = {                                          -- Large Venom Sac
        3386,                       -- Potion of Curing
    },
    [3575] = {                                          -- Iron Bar
        9149,                       -- Philosopher's Stone
        3577,                       -- Gold Bar
    },
    [3858] = {                                          -- Mithril Ore
        4623,                       -- Lesser Stoneshield Potion
    },
    [3860] = {                                          -- Mithril Bar
        6037,                       -- Truesilver Bar
    },
    [4342] = {                                          -- Purple Dye
        9210,                       -- Ghost Dye
    },
    [4402] = {                                          -- Small Flame Sac
        7257,                       -- Fire Protection Potion
    },
    [5635] = {                                          -- Sharp Claw
        5631,                       -- Rage Potion
    },
    [5637] = {                                          -- Large Fang
        5633,                       -- Great Rage Potion
    },
    [6359] = {                                          -- Firefin Snapper
        6371,                       -- Fire Oil
    },
    [6358] = {                                          -- Oily Blackmouth
        6370,                       -- Blackmouth Oil
    },
    [6370] = {                                          -- Blackmouth Oil
        8827,                       -- Elixir of Waterwalking
        5996,                       -- Elixir of Water Breathing
        6372,                       -- Swim Speed Potion
        5634,                       -- Free Action Potion
    },
    [6371] = {                                          -- Fire Oil
        6373,                       -- Elixir of Firepower
        6049,                       -- Fire Protection Potion
    },
    [6522] = {                                          -- Deviate Fish
        6662,                       -- Elixir of Giant Growth
    },
    [7067] = {                                          -- Elemental Earth
        9030,                       -- Restorative Potion
        13458,                      -- Greater Nature Protection Potion
    },
    [7069] = {                                          -- Elemental Air
        13460,                      -- Greater Holy Protection Potion
    },
    [7972] = {                                          -- Ichor of Undeath
        18294,                      -- Elixir of Greater Water Breathing
    },
    [9149] = {                                          -- Philosopher's Stone
        13503,                      -- Alchemist's Stone
    },
    [9260] = {                                          -- Volatile Rum
        9061,                       -- Goblin Rocket Fuel
    },
    [9262] = {                                          -- Black Vitriol
        9149,                       -- Philosopher's Stone
    },
    [13422] = {                                         -- Stonescale Eel
        13423,                      -- Stonescale Oil
    },
    [13423] = {                                         -- Stonescale Oil
        13445,                      -- Elixir of Superior Defense
        13455,                      -- Greater Stoneshield Potion
        13506,                      -- Flask of Petrification
        13510,                      -- Flask of the Titans
    },
    [22574] = {                                         -- Mote of Fire
        22833,                      -- Elixir of Major Firepower
    },
    [22578] = {                                         -- Mote of Water
        22827,                      -- Elixir of Major Frost Power
    },

--[[

    [] = {                                          -- 
        ,                       -- 
    },
    [] = {                                          -- 
        ,                       -- 
    },
    [] = {                                          -- 
        ,                       -- 
    },
    [] = {                                          -- 
        ,                       -- 
    },
    [] = {                                          -- 
        ,                       -- 
    },
    [] = {                                          -- 
        ,                       -- 
    },
    [] = {                                          -- 
        ,                       -- 
    },
    [] = {                                          -- 
        ,                       -- 
    },
    [] = {                                          -- 
        ,                       -- 
    },
    [] = {                                          -- 
        ,                       -- 
    },
    [] = {                                          -- 
        ,                       -- 
    },
    [] = {                                          -- 
        ,                       -- 
    },
    [] = {                                          -- 
        ,                       -- 
    },
    [] = {                                          -- 
        ,                       -- 
    },
    [] = {                                          -- 
        ,                       -- 
    },
    [] = {                                          -- 
        ,                       -- 
    },
    [] = {                                          -- 
        ,                       -- 
    },
    [] = {                                          -- 
        ,                       -- 
    },
    [] = {                                          -- 
        ,                       -- 
    },
    [] = {                                          -- 
        ,                       -- 
    },
]]--
}

--Now we make it available in all files in our addon.
namespace.HERB_LIST = HERB_LIST
namespace.ALCHEMY_LIST = ALCHEMY_LIST
namespace.OTHER_LIST = OTHER_LIST
